Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.application
Class RelationTransitionTool

    java.lang.Object
      org.jhotdraw.standard.AbstractTool
          org.jhotdraw.standard.ConnectionTool
              edu.udo.cs.miningmart.gui.application.RelationTransitionTool

All Implemented Interfaces:
  org.jhotdraw.framework.Tool

    public class RelationTransitionTool

extends org.jhotdraw.standard.ConnectionTool

Version:
  $Id: RelationTransitionTool.java,v 1.4 2006/09/27 15:00:01 euler Exp $
Author:
  Daniel Hakenjos

Nested Class Summary

Nested classes/interfaces inherited from class org.jhotdraw.standard.ConnectionTool
`org.jhotdraw.standard.ConnectionTool.UndoActivity`

Nested classes/interfaces inherited from class org.jhotdraw.standard.AbstractTool
`org.jhotdraw.standard.AbstractTool.EventDispatcher`

Constructor Summary
`RelationTransitionTool(MiningMartApplication parent, java.lang.Class modelClass, java.lang.Class startType, java.lang.String startName, java.lang.Class endType, java.lang.String endName)`

Method Summary
`protected org.jhotdraw.framework.ConnectionFigure` | `createConnection()`
`protected org.musoft.limo.model.ModelConnectionElement` | `createElement(org.musoft.limo.model.Model model, MiningMartConcept fromconcept, MiningMartConcept toconcept, boolean existsTransition)` Creates new ModelConnectionElement.
`org.musoft.limo.model.ModelConnectionElement` | `getElement()` Gets the ModelConnectionElement.
`void` | `mouseDrag(java.awt.event.MouseEvent e, int x, int y)`
`void` | `mouseUp(java.awt.event.MouseEvent e, int x, int y)` MouseUp - create ModelElement - and get the figure

Methods inherited from class org.jhotdraw.standard.ConnectionTool
`createUndoActivity, deactivate, findConnectableFigure, findConnection, findConnectionStart, findConnector, findSource, findTarget, getAddedFigure, getConnection, getEndConnector, getStartConnector, getTargetConnector, getTargetFigure, mouseDown, mouseMove, setAddedFigure, setConnection, setEndConnector, setStartConnector, setTargetConnector, setTargetFigure, trackConnectors`

Methods inherited from class org.jhotdraw.standard.AbstractTool
`activate, addToolListener, checkUsable, createEventDispatcher, createViewChangeListener, drawing, editor, getActiveDrawing, getActiveView, getAnchorX, getAnchorY, getEventDispatcher, getUndoActivity, isActive, isEnabled, isUsable, keyDown, removeToolListener, setAnchorX, setAnchorY, setEditor, setEnabled, setUndoActivity, setUsable, setView, view, viewCreated, viewDestroying, viewSelectionChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationTransitionTool

    public RelationTransitionTool(MiningMartApplication parent,
                                  java.lang.Class modelClass,
                                  java.lang.Class startType,
                                  java.lang.String startName,
                                  java.lang.Class endType,
                                  java.lang.String endName)

Method Detail

### createConnection

    protected org.jhotdraw.framework.ConnectionFigure createConnection()

  Overrides:
    `createConnection` in class `org.jhotdraw.standard.ConnectionTool`
  See Also:
    `CH.ifa.draw.standard.ConnectionTool#createConnection()`

### createElement

    protected org.musoft.limo.model.ModelConnectionElement createElement(org.musoft.limo.model.Model model,
                                                                         MiningMartConcept fromconcept,
                                                                         MiningMartConcept toconcept,
                                                                         boolean existsTransition)

  Creates new ModelConnectionElement.

### mouseUp

    public void mouseUp(java.awt.event.MouseEvent e,
                        int x,
                        int y)

  MouseUp
  - create ModelElement
  - and get the figure

  Specified by:
    `mouseUp` in interface `org.jhotdraw.framework.Tool`
  Overrides:
    `mouseUp` in class `org.jhotdraw.standard.ConnectionTool`
  See Also:
    `CH.ifa.draw.framework.Tool#mouseUp(java.awt.event.MouseEvent, int, int)`

### getElement

    public org.musoft.limo.model.ModelConnectionElement getElement()

  Gets the ModelConnectionElement.

### mouseDrag

    public void mouseDrag(java.awt.event.MouseEvent e,
                          int x,
                          int y)

  Specified by:
    `mouseDrag` in interface `org.jhotdraw.framework.Tool`
  Overrides:
    `mouseDrag` in class `org.jhotdraw.standard.ConnectionTool`
  See Also:
    `Application.followPointer(int,int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005